Bug 236842 - [JAVA_BLOCKER] posix cpu timers broken, need a patch to be backported from 2.6.21
Summary: [JAVA_BLOCKER] posix cpu timers broken, need a patch to be backported from 2....
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 21:55 UTC by IBM Bug Proxy
Modified: 2008-02-27 19:56 UTC (History)
0 users

Fixed In Version: kernel-rt-2.6.21-2.el5rt
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 16:35:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 33927 None None None Never

Description IBM Bug Proxy 2007-04-17 21:55:58 UTC
LTC Owner is: jstultz@us.ibm.com
LTC Originator is: sripathi@in.ibm.com


This patch: http://lkml.org/lkml/2006/11/17/305 tried to fix some problems with
posix cpu timers during 2.6.19, but in the process created a new bug. The
problem was then fixed by this patch: http://lkml.org/lkml/2007/2/21/478 during
2.6.21. We need this patch for posix cpu timers to function correctly. In case
RHEL5-RT gets rebased to 2.6.21, we will get this patch automatically, but in
case that doesn't happen, this patch needs to be backported to the RHEL5-RT
kernel. The patch is a simple one-line fix that appears to be quite safe to
backport.

I have raised this bug so that this problem doesn't get slipped between our
fingers.

Comment 1 IBM Bug Proxy 2007-05-12 02:20:32 UTC
----- Additional Comments From sripathi@in.ibm.com (prefers email at sripathik@in.ibm.com)  2007-05-11 22:17 EDT -------
I have tested kernel-rt-2.6.21-2.el5rt pulled down from Clark William's page and
confirmed that this problem is fixed in that kernel. 


Note You need to log in before you can comment on or make changes to this bug.